config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/darrc.new
( cd usr/doc ; rm -rf dar )
( cd usr/doc ; ln -sf dar-2.5.10 dar )
( cd usr/lib ; rm -rf libdar.so.5000 )
( cd usr/lib ; ln -sf libdar.so.5000.10.0 libdar.so.5000 )
( cd usr/lib ; rm -rf libdar.so )
( cd usr/lib ; ln -sf libdar.so.5000.10.0 libdar.so )
